# Local Modules

struct WpImplModule

  Used to load PipeWire modules within the WirePlumber process. This is slightly different from other objects in that the module is not exported to PipeWire, but it may create an export objects itself.

  Since

    0.4.2

WpImplModule *wp_impl_module_load(WpCore *core, const gchar *name, const gchar *arguments, WpProperties *properties)

  Loads a PipeWire module into the WirePlumber process.

  Since

    0.4.2

  Parameters

    - core – (transfer none): The WirePlumber core

    - name – (transfer none): the name of the module to load

    - arguments – (nullable) (transfer none): arguments to be passed to the module

    - properties – (nullable) (transfer none): additional properties to be provided to the module

  Returns

    (nullable) (transfer full): the WpImplModule for the module that was loaded on success, NULL on failure.

WP_TYPE_IMPL_MODULE (wp_impl_module_get_type())

  The WpImplModule GType.

  Since

    0.4.2